Get usage information including credits, features, and quotas.
curl --request GET \
--url https://api.parallellabs.app/api/v0/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyProvisioning": {
"organizationId": "<string>",
"organizationName": "<string>",
"provisioned": true,
"seats": 123,
"status": "<string>"
},
"companyQuota": {
"availableCredits": 123,
"creditLimit": 123,
"creditUsage": 123,
"quotaEnabled": true
},
"companyRole": "<string>",
"features": {},
"hasWhitelabelAccess": true,
"usage": {
"companiesUsed": 123,
"companyLimit": 123,
"creditLimit": 123,
"creditUsage": 123,
"email": "<string>",
"id": "<string>",
"isOrgManaged": true,
"linkedinAccountLimit": 123,
"organizationId": "<string>",
"organizationName": "<string>",
"seats": 123,
"seatsUsed": 123,
"staticIpLimit": 123,
"subscriptionTierName": "<string>",
"subscriptionType": "<string>",
"superUser": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}Usage
Get usage information including credits, features, and quotas.
GET
/
api
/
v0
/
usage
Get usage information including credits, features, and quotas.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Query Parameters
Company ID to get usage for
Whitelabel instance ID
Response
Usage information with features and quotas
Usage response with features and quotas
Company provisioning info
Show child attributes
Show child attributes
Company quota info
Show child attributes
Show child attributes
User role in company
Feature access flags
Whether user has whitelabel access
Usage details
Show child attributes
Show child attributes
Get aggregate usage totals across all companies in an organization.Get usage breakdown by feature for the last 30 days.
⌘I

